Ubuntu12.04下配置Eclipse+PyDev

本文发布时间: 2019-Mar-22
开发平台:Ubuntu12.04IDE:Eclipse3.7.2python版本:python3.4.4搭建Eclipse+PyDev的开发环境,在网上找了一些教程,有一些错误,尝试了许久,也走了不少弯路。特此整理,需要用到的朋友,可以参考一下。安装步骤:1、安装python3.4.4sudo apt-get install python3.4ubuntu12.04默认安装和使用的是python2.7,我要用到的是python3,因此重新安装了python3.4。这里需要注意的是,不要卸载原来已经安装的python版本。因为有一些软件是只支持python老版本的,卸载了会各种报错!除此之外,在终端输入python默认打开的是python2.7,如果想改,可以尝试下link,只要不冲突就可以。2、安装eclipsesudo apt-get install eclipse-platformsudo apt-get install eclipse-cdt标准的Eclipse只支持JAVA开发,要进行C/C++程序开发,必须安装CDT插件。为了以后省事,我就一起都安装上了。3、安装PyDeva、安装之前需要查看Eclipse的版本,Eclipse版本和PyDev要合适,PyDev安装版本过高,在安装过程中,会出现如下问题:b、查看方法Help–>About Eclise Platform,就是在Eclipse菜单栏的Help里找到About Eclipse Platform,例如,我的版本如下:c、点击Help–>Install New Software,出现如下对话框,点击Add。d、添加库,Name:随便起一个名字即可,Location:http://update-production-pydev.s3.amazonaws.com/pydev/updates/site.xml然后点击OK。注意:这里跟网上一些其他的教程就不一样了,其他教程大部分用的是:http://www.pydev.org/updates/ 这个网站现在也能用,但是只能安装最新版本的PyDev,都是4.*版本的,对于我的版本Eclipse3.7.2显然不适合,会出现上面提到的错误。因此我找到了新的源地址,至发布博客为止,这个源是好用的。如果Location添加错误了,经常报错,怎样删除添加错误的路径呢?Window–>Preference–>Install/Update–>Available Software Sites,删除添加错误的地址即可。e、添加好后,去掉只显示最新版本的选项,这样我们就能看到很多版本的PyDev了,截图如下:f、这里我选择2.8.2的版本,然后进行下一步,截图如下:g、剩下的一路进行下去就可以了,在安装快要结束的时候,会提示是否信任这些证书,勾选信任选项之后,再点击OK即可。截图如下:h、安装完之后,选择restart now重启,再进行配置PyDev解释器。4、配置PyDev解释器a、Window–>Preference–>PyDev–>Interpreter-Python,点击New新建即可,截图如下:b、添加Python3.4路径,Interpreter Name,随便起,路径添加对即可。我的配置如下:c、选择需要的库,我的配置如下:d、等待配置完成。5、测试a、新建工程,截图如下:b、选择PyDev Project,Grammar Version选择3.0。建好的工程如下:c、添加源文件,右键hello,添加新文件。d、最终测试成功。截图如下:至此,Ubuntu12.04下配置Eclipse+PyDev完成!如有错误,还望指正,谢谢!


(以上内容不代表本站观点。)
---------------------------------
本网站以及域名有仲裁协议。
本網站以及域名有仲裁協議。

2019-May-25 12:56pm
栏目列表